The Dom\NodeList class

- « Dom\Node

- Dom\Notation »

- PHP Manual
- DOM
- The Dom\NodeList class

# The Dom\NodeList class

(PHP 8 >= 8.4.0)

## Introduction

Represents a live list of nodes.

This is the modern, spec-compliant equivalent of DOMNodeList.

## Class synopsis

class Dom\NodeList implements IteratorAggregate, Countable {
/* Properties */
public readonly int $length;
/* Methods */
/* Not documented yet */
}

## Properties

length

  The number of nodes in the list. The range of valid child node indices is 0 to `length - 1` inclusive.